Bug 815224 - Unable to do provider specified cleanup for vsphere,ec2 providers
Unable to do provider specified cleanup for vsphere,ec2 providers
Status: ASSIGNED
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-configure (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Steve Linabery
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 03:33 EDT by Rehana
Modified: 2012-09-10 11:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rehana 2012-04-23 03:33:23 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Login to aeolus machine
2.Issue the below mentioned commands,
  aeolus-cleanup -p vsphere
  aeolus-cleanup -p ec2

  
Actual results:
Observed that the above mentioned commands failed with file not found error.

aeolus-cleanup -p vsphere
File not found: /etc/aeolus-configure/nodes/vsphere_cleanup
and 
aeolus-cleanup -p ec2
File not found: /etc/aeolus-configure/nodes/ec2_cleanup

after aeolus install these two files where not present in the location /etc/aeolus-configure/nodes

Expected results:
user should be allowed to do provider specific clean up for vsphere and ec2.

Suggestion: Also observed that the command help for aeolus-cleanup/configure refer option 'P' as  Profile instead of provider.

-p | --profile    Name of profile to use. A comma separated list can be used to specify multiple profiles.

Additional info:

rpm -qa | grep aeolus
aeolus-conductor-doc-0.8.12-1.el6_2.noarch
aeolus-configure-2.5.3-1.el6.noarch
aeolus-conductor-daemons-0.8.12-1.el6_2.noarch
aeolus-conductor-0.8.12-1.el6_2.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.8.12-1.el6_2.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
Comment 1 Mike Orazi 2012-08-13 11:14:04 EDT
We need to figure out whether clean up should remove only specified providers, or all providers of the removed profile and determine how feasible either behavior really is.
Comment 2 Steve Linabery 2012-08-23 14:12:36 EDT
I think 'profile' is the correct term for the command help, fwiw. It's conceivable that a single profile might set up multiple providers.

Note You need to log in before you can comment on or make changes to this bug.